Core - Bug # 49715

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Christian Kuhn Category:

Created: 2013-07-05 Assigned To:

Updated: 2013-07-05 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Complexity: easy

Is Regression:

Sprint Focus:

Subject: Folder structure honors file / folderCreateMask

Description

Related issues:

related to Core - Bug # 56028: Installtool "fileCreateMask" and "folderCreate... Closed 2014-02-17

Associated revisions

Revision 610981c - 2013-07-05 21:28 - Christian Kuhn

[BUGFIX] Folder structure honors file and folderCreateMask

The folder structure class construct takes care of permissions
of files and folders. The patch adds support for config values
fileCreateMask and folderCreateMask.

Resolves: #49715
Related: #49162
Releases: 6.2

Change-Id: 19f41ba7f038992ef77cf212229fca524e346431f
Reviewed-on: https://review.typo3.0rg/21971

Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History

#1 - 2013-07-05 21:22 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/21971

#2 - 2013-07-05 21:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f610981c92dfcf7a697d9ea74f0284db6d1c79e4.
